class Project < Sequel::Model

  one_to_many :sessions
    
  def total_time
    times = self.sessions.collect { |s| s[:elapsed_time] }
    times.inject{ |sum,x| sum + x }
  end
  
  def total_earned
    "$" + sprintf("%.2f", self.rate_per_hour.to_f * (total_time.to_f / 3600))
  end

end
