class Session < Sequel::Model

  many_to_one :project

  def initialize
    @stopwatch = Stopwatch.new
    @stopwatch.start
    
    super
  end
  
  def stop opts
    @stopwatch.stop

    self.start_time   = @stopwatch.start_time
    self.end_time     = @stopwatch.end_time
    self.elapsed_time = @stopwatch.elapsed_time
    self.description  = opts[:description]
    self.project      = opts[:project]
    self.save
  end
  
  def earned
    "$" + sprintf("%.2f", self.project.rate_per_hour.to_f * (self.elapsed_time.to_f / 3600))
  end

end